# PostDefendHpGatedStatChangeAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostDefendHpGatedStatChangeAbAttr

#### Hierarchy (view full)

- PostDefendAbAttr
  - PostDefendHpGatedStatChangeAbAttr

- Defined in src/data/ability.ts:654

#####
Index

### Constructors

constructor

### Properties

condition
hpGate
levels
selfTarget
showAbility
stats

### Methods

addCondition
apply
applyPostDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostDefendHpGatedStatChangeAbAttr(condition, hpGate, stats, levels, selfTarget?): PostDefendHpGatedStatChangeAbAttr

- #### Parameters

  - condition: PokemonDefendCondition
  - hpGate: number
  - stats: BattleStat []
  - levels: number
  - selfTarget: boolean = true

  #### Returns PostDefendHpGatedStatChangeAbAttr

  Overrides PostDefendAbAttr.constructor

  - Defined in src/data/ability.ts:661

## Properties

### `Private` condition

condition: PokemonDefendCondition

- Defined in src/data/ability.ts:655

### `Private` hpGate

hpGate: number

- Defined in src/data/ability.ts:656

### `Private` levels

levels: number

- Defined in src/data/ability.ts:658

### `Private` selfTarget

selfTarget: boolean

- Defined in src/data/ability.ts:659

### showAbility

showAbility: boolean

Inherited from PostDefendAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stats

stats: BattleStat []

- Defined in src/data/ability.ts:657

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostDefendAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:671

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137